## com.bbn.openmap.omGraphics.grid
Class OMGridData.Int

    java.lang.Object
      com.bbn.openmap.omGraphics.grid.OMGridData
          com.bbn.openmap.omGraphics.grid.OMGridData.Int

All Implemented Interfaces:
  GridData, GridData.Int

Enclosing class:
  OMGridData

public static class OMGridData.Int
extends OMGridData
implements GridData.Int

Int is a GridData object that contains ints.

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.omGraphics.grid.OMGridData
`OMGridData.Boolean, OMGridData.Byte, OMGridData.Char, OMGridData.Double, OMGridData.Float, OMGridData.Int, OMGridData.Short`

Nested classes inherited from class com.bbn.openmap.omGraphics.grid.GridData
`GridData.Boolean, GridData.Byte, GridData.Char, GridData.Double, GridData.Float, GridData.Int, GridData.Short`

Field Summary
`protected int[][]` `data`

Fields inherited from class com.bbn.openmap.omGraphics.grid.OMGridData
`major`

Constructor Summary
`OMGridData.Int(int[][] d)`

Method Summary
`java.lang.Object` `get(int x, int y)`
`int[][]` `getData()`
`int` `getIntValue(int x, int y)`
`int` `getNumColumns()`
`int` `getNumRows()`
`void` `setData(int[][] d)`

Methods inherited from class com.bbn.openmap.omGraphics.grid.OMGridData
`getMajor, setMajor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.grid.GridData
`getMajor, setMajor`

Field Detail

### data

    protected int[][] data

Constructor Detail

### OMGridData.Int

    public OMGridData.Int(int[][] d)

Method Detail

### setData

    public void setData(int[][] d)

### getData

    public int[][] getData()

  Specified by:
    `getData` in interface `GridData.Int`

### get

    public java.lang.Object get(int x,
                                int y)

  Specified by:
    `get` in interface `GridData`

### getIntValue

    public int getIntValue(int x,
                           int y)

  Specified by:
    `getIntValue` in interface `GridData.Int`

### getNumColumns

    public int getNumColumns()

  Specified by:
    `getNumColumns` in interface `GridData`

### getNumRows

    public int getNumRows()

  Specified by:
    `getNumRows` in interface `GridData`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details